ARCCTL(1)

NAME
arcctl - Nordugrid ARC Computing Element Control Tool

SYNOPSIS
arcctl [-d, --debug LEVEL] [-c, --config CONFIG] [-h, --help] COMPONENT ACTION [...]

DESCRIPTION

This man page is not the ultimate source of information about arcctl. Please use --help to see all options available for each component!

The arcctl(1) utility is aimed to automate ARC CE operations, like controlling Services, Jobs, RunTime Environments, Accounting, etc.

The main goal is to provide a single point of control for different ARC CE subsystems to the system administrator.

arcctl designed with bash-completion in mind, so make sure you have python-argcomplete installed and enabled to use all features.

OPTIONS

-d, --debug LEVEL
    Choose the verbosity level from CRITICAL, ERROR, WARNING, INFO, DEBUG (default is ERROR).

-c, --config FILE
    Specifies the configuration file to be used. By default the arc.conf(5) is used.

-h, --help
    Show help messages

COMPONENTS
The following components can be controlled by arcctl at the time of writing:

services
    Controlling ARC CE services.

rte Controlling RunTime Envronents available on the ARC CE.

job A-REX Jobs control (actions, information, logs).

accounting
    Accounting records operations (republishing, stats).

config
    ARC configuration control: get/set/dump configuration values, inline options help.

test-ca
    Self-signed CA for test certificates deployment for both hosts and users.

deploy
    Third party components deployment (IGTF CA, VOMS LSC, Firewall configuration).

Use --help argument to list all available actions for each component.

EXAMPLES
Enable ENV/PROXY RunTime Environment

    # arcctl rte enable ENV/PROXY

Configure ENV/PROXY RunTime Environment to disable CA certificates copying

    # arcctl rte params-set ENV/PROXY COPY_CACERT_DIR No

Use ENV/RTE RunTime Environment by default for every job (even if not explicitly requested in job description)

    # arcctl rte default ENV/RTE

Clean all jobs in DELETED state

    # arcctl job cleanall -s DELETED

Get job submission interface

    # arcctl job attr 21PKDmF0Aasnfk581mkC9sunABFKDmABFKDmDgFKDmUzFKDmqfGG0n interface

Enable and start all ARC CE services as configured in arc.conf(5)

    # arcctl service enable --as-configured --now

Get inline help for sessiondir option of [arex] block

    # arcctl config describe arex sessiondir

Get the brief summary of configured storage areas for ARC services

    # arcctl config brief --type storage

Generate tarball with test user certificate to transfer to another machine

    # arcctl test-ca usercert --export-tar

Deploy VOMS LSC files for atlas VO from EGI VO Database

    # arcctl deploy voms-lsc atlas --egi-vo

Show archived APEL accounting records statistics

    # arcctl accounting stats -t apel

REPORTING BUGS
Report bugs to http://bugzilla.nordugrid.org/

COPYRIGHT
APACHE LICENSE Version 2.0

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

SEE ALSO
arc.conf(5)